Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.deployer
Class DifferenceAnalysingFolderContentHandler

    java.lang.Object
      org.nanocontainer.deployer.DifferenceAnalysingFolderContentHandler

All Implemented Interfaces:
  FolderContentHandler

    public class DifferenceAnalysingFolderContentHandler

extends Object
implements FolderContentHandler

Version:
  $Revision: 2343 $
Author:
  Aslak Hellesøy

Constructor Summary
`DifferenceAnalysingFolderContentHandler(org.apache.commons.vfs.FileObject folder, org.apache.commons.vfs.FileSystemManager fileSystemManager)`

Method Summary
`void` | `addFolderListener(FolderListener folderListener)`
`org.apache.commons.vfs.FileObject` | `getFolder()`
`void` | `removeFolderListener(DeployingFolderListener deployingFolderListener)`
`void` | `setCurrentChildren(org.apache.commons.vfs.FileObject[] currentChildren)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DifferenceAnalysingFolderContentHandler

    public DifferenceAnalysingFolderContentHandler(org.apache.commons.vfs.FileObject folder,
                                                   org.apache.commons.vfs.FileSystemManager fileSystemManager)

Method Detail

### setCurrentChildren

    public void setCurrentChildren(org.apache.commons.vfs.FileObject[] currentChildren)

  Specified by:
    `setCurrentChildren` in interface `FolderContentHandler`

### getFolder

    public org.apache.commons.vfs.FileObject getFolder()

  Specified by:
    `getFolder` in interface `FolderContentHandler`

### addFolderListener

    public void addFolderListener(FolderListener folderListener)

### removeFolderListener

    public void removeFolderListener(DeployingFolderListener deployingFolderListener)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.